package com.steerinfo.ems.usagedataconfig.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="能源类型配置表")
public class UsageDataConfig implements IBasePO<Short> {
    /**
     * 主键ID(ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private Short id;

    /**
     * 数据传输代码(ENERGY_CODE,VARCHAR,255)
     */
    @ApiModelProperty(value="数据传输代码",required=false)
    private String energyCode;

    /**
     * 数据传输代码(DATA_CODE,VARCHAR,50)
     */
    @ApiModelProperty(value="数据传输代码",required=false)
    private String dataCode;

    /**
     * 描述(NOTE,VARCHAR,255)
     */
    @ApiModelProperty(value="描述",required=false)
    private String note;

    /**
     * 写入时间(CT,TIMESTAMP,7)
     */
    @ApiModelProperty(value="写入时间",required=false)
    private Date ct;

    /**
     * MES产线代码(多条用 , 隔开)(PRODLINE,VARCHAR,255)
     */
    @ApiModelProperty(value="MES产线代码(多条用 , 隔开)",required=false)
    private String prodline;

    /**
     * MES物料代码(多条用 , 隔开)(MATERIALCODE,VARCHAR,255)
     */
    @ApiModelProperty(value="MES物料代码(多条用 , 隔开)",required=false)
    private String materialcode;

    /**
     * 是否根据MES代码自动汇总并生成数据(0:手动；1：自动)(ISAUTO,VARCHAR,5)
     */
    @ApiModelProperty(value="是否根据MES代码自动汇总并生成数据(0:手动；1：自动)",required=false)
    private String isauto;

    /**
     * 默认单位(UNIT,VARCHAR,20)
     */
    @ApiModelProperty(value="默认单位",required=false)
    private String unit;

    /**
     * 是否上传1是，0否(ISUPLOAD,VARCHAR,1)
     */
    @ApiModelProperty(value="是否上传1是，0否",required=false)
    private String isupload;

    /**
     * 上传开始日期(START_DATE,VARCHAR,20)
     */
    @ApiModelProperty(value="上传开始日期",required=false)
    private String startDate;

    private static final long serialVersionUID = 1L;

    public Short getId() {
        return id;
    }

    public void setId(Short id) {
        this.id = id;
    }

    public String getEnergyCode() {
        return energyCode;
    }

    public void setEnergyCode(String energyCode) {
        this.energyCode = energyCode == null ? null : energyCode.trim();
    }

    public String getDataCode() {
        return dataCode;
    }

    public void setDataCode(String dataCode) {
        this.dataCode = dataCode == null ? null : dataCode.trim();
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note == null ? null : note.trim();
    }

    public Date getCt() {
        return ct;
    }

    public void setCt(Date ct) {
        this.ct = ct;
    }

    public String getProdline() {
        return prodline;
    }

    public void setProdline(String prodline) {
        this.prodline = prodline == null ? null : prodline.trim();
    }

    public String getMaterialcode() {
        return materialcode;
    }

    public void setMaterialcode(String materialcode) {
        this.materialcode = materialcode == null ? null : materialcode.trim();
    }

    public String getIsauto() {
        return isauto;
    }

    public void setIsauto(String isauto) {
        this.isauto = isauto == null ? null : isauto.trim();
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit == null ? null : unit.trim();
    }

    public String getIsupload() {
        return isupload;
    }

    public void setIsupload(String isupload) {
        this.isupload = isupload == null ? null : isupload.trim();
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate == null ? null : startDate.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", energyCode=").append(energyCode);
        sb.append(", dataCode=").append(dataCode);
        sb.append(", note=").append(note);
        sb.append(", ct=").append(ct);
        sb.append(", prodline=").append(prodline);
        sb.append(", materialcode=").append(materialcode);
        sb.append(", isauto=").append(isauto);
        sb.append(", unit=").append(unit);
        sb.append(", isupload=").append(isupload);
        sb.append(", startDate=").append(startDate);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}